%define anolis_release 2
%define __brp_remove_la_files %{nil}

Name:           log4cpp
Version:        1.1.3
Release:        %{anolis_release}%{?dist}
Summary:        C++ logging library

License:        LGPLv2+
URL:            http://sourceforge.net/projects/log4cpp/
Source0:        http://downloads.sourceforge.net/log4cpp/%{name}-%{version}.tar.gz
# Fix errors when compiling with gcc >= 4.3
Patch0:         log4cpp-1.0-gcc43.patch
# Don't put build cflags in .pc
Patch1:         log4cpp-1.0-remove-pc-cflags.patch
# Install docs into DESTDIR
Patch2:         log4cpp-1.0-fix-doc-dest.patch
# Don't try to build snprintf.c
Patch3:         log4cpp-1.0-no-snprintf.patch
# Version is actually 1.1.3
Patch4:         log4cpp-version-1.1.3.patch
Patch5:         03_aclocal_automake.diff

BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  automake, autoconf, libtool
BuildRequires:  make

%description
A library of C++ classes for flexible logging to files, syslog, IDSA and
other destinations. It is modeled after the Log for Java library
(http://www.log4j.org), staying as close to their API as is reasonable.

%package devel
Summary:        Header files, libraries and development man pages  %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
man pages for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package static
Summary:        Static files for %{name}
Requires:       %{name} = %{version}-%{release}

%description static
Static files for %{name}

%package doc
Summary:        Development documentation for %{name}
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains the development documentation for %{name}.
If you like to documentation to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%autosetup -n log4cpp -p1
rm -rf src/snprintf.c
#Convert line endings.
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mv %{buildroot}/usr/share/doc/log4cpp-%{version} rpmdocs

%ldconfig_scriptlets

%files
%license ChangeLog COPYING
%{_libdir}/liblog4cpp.so.5*

%files devel
%{_bindir}/log4cpp-config
%{_includedir}/log4cpp/
%{_libdir}/liblog4cpp.so
%{_libdir}/pkgconfig/log4cpp.pc
%{_datadir}/aclocal/log4cpp.m4
%{_mandir}/man3/log4cpp*

%files static
%{_libdir}/*.a
%{_libdir}/*.la

%files doc
%doc rpmdocs/*

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.3-2
- Rebuild for remove inappropriate build dependencies.

* Mon Sep 05 2022 happy_orange <songnannan@linux.alibaba.com> - 1.1.3-1
- Init package from upstream
